org.jboss.jca.core.tx.noopts

## Class UserTransactionRegistryImpl

- java.lang.Object
- - org.jboss.jca.core.tx.noopts.UserTransactionRegistryImpl

- All Implemented Interfaces:
    org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry

      public class UserTransactionRegistryImpl
      extends java.lang.Object
      implements org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry

  UserTransactionRegistry implementation.
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTransactionRegistryImpl()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(org.jboss.jca.core.spi.transaction.usertx.UserTransactionListener listener)` Add a listener
    `void` | `addProvider(org.jboss.jca.core.spi.transaction.usertx.UserTransactionProvider provider)` Add a provider
    `void` | `removeListener(org.jboss.jca.core.spi.transaction.usertx.UserTransactionListener listener)` Remove a listener
    `void` | `removeProvider(org.jboss.jca.core.spi.transaction.usertx.UserTransactionProvider provider)` Remove a provider
    `void` | `userTransactionStarted()` Fire a user transaction started event

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTransactionRegistryImpl

          public UserTransactionRegistryImpl()

      Constructor

  - ### Method Detail

    - #### addListener

          public void addListener(org.jboss.jca.core.spi.transaction.usertx.UserTransactionListener listener)

      Add a listener
      Specified by:
        `addListener` in interface `org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry`
      Parameters:
        `listener` - The listener

    - #### removeListener

          public void removeListener(org.jboss.jca.core.spi.transaction.usertx.UserTransactionListener listener)

      Remove a listener
      Specified by:
        `removeListener` in interface `org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry`
      Parameters:
        `listener` - The listener

    - #### addProvider

          public void addProvider(org.jboss.jca.core.spi.transaction.usertx.UserTransactionProvider provider)

      Add a provider
      Specified by:
        `addProvider` in interface `org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry`
      Parameters:
        `provider` - The provider

    - #### removeProvider

          public void removeProvider(org.jboss.jca.core.spi.transaction.usertx.UserTransactionProvider provider)

      Remove a provider
      Specified by:
        `removeProvider` in interface `org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry`
      Parameters:
        `provider` - The provider

    - #### userTransactionStarted

          public void userTransactionStarted()

      Fire a user transaction started event
      Specified by:
        `userTransactionStarted` in interface `org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)